.character {
    h3 {
        margin-top: 1em;
        font-family: $serif;
        font-weight: 600;
        color: var(--primary);
        line-height: 1;
        border-bottom: 1px solid var(--primary);
    }
    label,
    h4 {
        font-family: $sans-serif;
        font-size: 10px;
        font-weight: 800;
        line-height: 1;
        text-transform: uppercase;
        color: var(--primary);
    }
    input {
        font-family: $body-serif;
        font-weight: bold;
        width: calc(100% - 8px);
        border-bottom: 1px solid #d3ccbc;
        text-transform: capitalize;
        &::placeholder {
            filter: opacity(0.5);
            color: var(--body);
        }
        &:focus {
            border-bottom: 1px solid #644f33;
            &::placeholder {
                color: transparent;
            }
        }
    }
    select {
        width: calc(100% - 8px);
        background-color: var(--alt);
        border: 1px solid darken($alt-color, 8);
    }

    .pc {
        h3 {
            grid-area: mod;
            border: none;
            @include p-reset;
            background-color: rgba($body-color, 0.1);
            height: 26px;
            padding: 6px;
            color: var(--body);
            font-family: $body-serif;
            font-size: 14px;
            font-weight: 700;
            width: calc(100% - 8px);

            i {
                float: right;
            }
        }
    }

    .character-details {
        display: grid;
        grid:
            'img alignment deity' 30px
            'img details details' auto
            / 120px 120px 1fr;
        margin-top: 4px;

        .frame {
            grid-area: img;
            margin-left: 5px;
            z-index: 3;

            .player-image {
                object-fit: cover;
                object-position: top;
                border: none;
                border-radius: 0;
                max-height: 178px;
                width: 100%;
                cursor: pointer;
                @include brown-border;
            }
        }

        .alignment {
            grid-area: alignment;
            position: relative;
            display: flex;
            align-items: center;
            justify-content: center;
            background: url('../assets/sheet/banner-bg.png') repeat-x center;
            height: 31px;
            z-index: 1;

            select {
                all: initial;
                display: block;
                cursor: pointer;
                font-family: $body-serif;
                line-height: 1;
                font-weight: 700;
                font-size: 14px;
                text-transform: capitalize;
                margin-top: 2px;
            }
            
            input[type='text'] {
                font-family: $body-serif;
                font-size: 14px;
                font-weight: 700;
                text-align: center;
                max-width: 138px;
            }
            &::after {
                position: absolute;
                content: '';
                height: 31px;
                width: 15px;
                top: 0;
                right: -11px;
                background: url('../assets/sheet/banner-bg2.png') no-repeat
                    right;
            }
        }

        .deity {
            grid-area: deity;
            display: flex;
            justify-content: flex-end;
            align-items: center;
            .dropdown {
                display: flex;
                flex-direction: column;
                align-items: flex-end;
                width: 130px;
                select {
                    all: initial;
                    display: block;
                    cursor: pointer;
                    font-family: $body-serif;
                    line-height: 1;
                    font-weight: 700;
                    font-size: 14px;
                    text-transform: capitalize;
                }

                input {
                    text-align: right;
                }
            }
            img {
                height: 32px;
                width: 32px;
                border-radius: 16px;
                margin-left: 8px;
                @include brown-border;
                margin-top: 8px;
            }
        }

        .detail-sheet {
            grid-area: details;
            display: grid;
            grid-template-columns: 2fr 2fr;
            grid-template-rows: repeat(2, 42px);
            grid-row-gap: 8px;
            padding-left: 12px;
            margin-top: 8px;

            .pc {
                &_heritage,
                &_background,
                &_weight {
                    margin: 0;
                }
            }
            .detail-small {
                display: flex;
            }
        }
    }

    .character-background {
        display: flex;
        flex-wrap: wrap;

        .pc {
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            align-items: flex-start;
            flex: 20%;
            margin-bottom: 8px;

            span {
                width: 100%;
            }

            &_ethnicity,
            &_nationality {
                flex: 50%;
            }

            label,
            h4 {
                margin: 0;
                white-space: nowrap;
            }
        }
    }

    .character-traits {
        display: flex;
        flex-wrap: wrap;

        .tags {
            width: 100%;
        }

        .pc {
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            align-items: flex-start;
            flex: 20%;
            margin-bottom: 8px;

            span {
                width: 100%;
            }

            span.speed {
                * {
                    width: 50%;
                }
            }

            &_land-speed,
            &_size,
            &_key-ability {
                flex: 30%;
            }

            &_speed-types {
                flex: 50%;
            }

            &_senses {
                flex: 50%;
            }

            &_languages {
                flex: 50%;
                margin-bottom: 0;
            }
            &_traits {
                flex: 50%;
                margin-bottom: 0;
            }
            &_bonus-bulk {
              flex: 1 20%;

              &.encumbrance {
                  margin-right: 8px;
              }
            }

            label,
            h4 {
                margin: 0;
                white-space: nowrap;
            }

            .tags {
                margin: 0;
                padding: 0;
                li {
                    &.tag {
                        background-color: var(--alt);
                        box-shadow: inset 0 0 0 1px rgba(black, 0.3);
                    }
                    &.edit-btn {
                        background-color: var(--secondary);
                        a {
                            color: white;
                        }
                    }
                }
            }

            .tags,
            select,
            input,
            h3 {
                margin-top: 4px;
            }
        }
    }

    .ability-scores {
        @include p-reset;
        display: grid;
        grid: repeat(2, 1fr) / repeat(3, 1fr);
        justify-content: center;
        list-style: none;
        gap: 12px;

        .ability {
            display: grid;
            grid:
                '. label label' auto
                'prefix score mod' 1fr
                / 1fr 1fr 1fr;
            column-gap: 3px;
            align-items: center;
            &:focus-within {
                .ability-id {
                    filter: opacity(1);
                }
            }

            .ability-name {
                grid-area: label;
                margin: 0;
                &:hover {
                    cursor: pointer;
                    color: #0c1466;
                }
            }
            .ability-id {
                filter: opacity(0.5);
                text-transform: capitalize;
                grid-area: prefix;
                font-size: 28px;
                color: var(--primary);
                font-family: $serif;
                font-weight: 500;
                text-align: right;
                @include p-reset;
                margin-right: 4px;
                border: none;
            }
            .ability-score {
                grid-area: score;
                border-radius: 0;
                font-size: 0;
                border: 1px solid var(--alt);
                input {
                    font-size: 24px;
                    border: none;
                    text-align: center;
                    padding: 0;
                }
            }
            .ability-mod {
                grid-area: mod;
                border: none;
                background-color: rgba($body-color, 0.1);
                font-family: $serif;
                font-weight: 700;
                @include p-reset;
            }

            .ability-mod,
            .ability-score,
            .ability-score input {
                height: 40px;
                width: 40px;
                @include flex-center;
            }
        }
    }
}
